
// DETECCION DE DISPOSITIVOS MOVILES
var isMobile;
var mobileDetection = {	
	detectMobile: function(){
		if (navigator.userAgent.match(/Android/i)
			|| navigator.userAgent.match(/webOS/i)
			|| navigator.userAgent.match(/iPhone/i)
			|| navigator.userAgent.match(/iPad/i)
			|| navigator.userAgent.match(/iPod/i)
			|| navigator.userAgent.match(/BlackBerry/i)
			|| navigator.userAgent.match(/Windows Phone/i)
			// Descomentar para pruebas en Safari
			|| navigator.userAgent.match(/AppleWebKit/i) 
		) {
			return true;
		} else {
			return false;
		}
	},
	init: function(){
		isMobile = mobileDetection.detectMobile();
	}
};

/*MENU RESPONSIVE*/

var menu = {
	init:function(){
		$('#desplegar').on('click',function(e){
			$('nav ul').slideToggle();
			e.preventDefault();
		});		
	}
}

var links = {	

	slide:function(){
		
		/* Smooth scrolling para anclas */  
		$('a.smooth').on('click', function(e) {  
			var $link = $(this);  
			var anchor  = $link.attr('href');  
			$('html, body').stop().animate({  
				scrollTop: $(anchor).offset().top  
			}, 1000);  		
			e.preventDefault();
		});
	}	
}

$(document).ready(function() {
	mobileDetection.init();
	menu.init();
});